<template>
  <view class="box">首页
		<button @click="changes">更新仓库</button>
		<button @click="del">清空仓库</button>
	</view>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator"
import { UserinfoModule } from '@/store/modules/userinfo'

@Component({})
export default class Home extends Vue {
	async onLoad() {
		console.info(this, this.$API, UserinfoModule)
		console.info(UserinfoModule.userInfo)
		await UserinfoModule.update_userinfo({ bb: 2 })
		console.info(UserinfoModule.userInfo)
	}

	onShow() {
		// console.info(UserinfoModule.userInfo)
	}

	async changes() {
		await UserinfoModule.update_userinfo({ bb: Math.random() })
		console.info(UserinfoModule.userInfo)
	}

	async del() {
		await UserinfoModule.delete_userinfo()
		console.info(UserinfoModule.userInfo)
	}
}
</script>

<style lang="scss">

</style>
